# Type Alias DirectiveCompileFn

DirectiveCompileFn: ((templateElement: TElement, templateAttributes: TAttributes, transclude: TranscludeFunction) => any)

#### Type declaration

- - (templateElement, templateAttributes, transclude): any

  - #### Parameters

    - templateElement: TElement

      The template element.

    - templateAttributes: TAttributes

      The template attributes.

    - transclude: TranscludeFunction

    #### Returns any

- Defined in types.js:170